Monitor VPN
===========

Monitor VPN is a simple program that checks the status of the network
connectivity (using
[NetworkManager's](https://wiki.gnome.org/Projects/NetworkManager) Dbus API) and
starting a VPN connection when it is in the `full` state.

The user must provide the UUID of the VPN connection in the configuration file
`/etc/monitor-vpn/monitor-vpn.conf`. To get the UUID of the VPN connection you
can do:

```shell
nmcli connection show
```

In any terminal.

Monitor VPN runs as a [systemd](https://www.freedesktop.org/wiki/Software/systemd/) service:

```shell
systemctl start monitor-vpn.service
systemctl stop monitor-vpn.service
```
